Bug 988412 - python3-matplotlib-qt4 downloads unecessary dependencies
python3-matplotlib-qt4 downloads unecessary dependencies
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
19
i386 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
: 988413 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 10:45 EDT by Shishir
Modified: 2015-02-18 06:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:18:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shishir 2013-07-25 10:45:19 EDT
Description of problem: python3-matplotlib-qt4 depends on numpy and python-matplotlib. This must not be the case as python3-matplotlib should only depend on python3-numpy and python3-matplotlib. Also python3-matplotlib does not automatically pull down a dependency python3-matplotlib-tk.


Version-Release number of selected component (if applicable):


How reproducible:



Steps to Reproduce:
1.sudo yum install python3-matplotlib-qt4
2.
3.

Actual results:


=============================================================================================================================================================
 Package                                  Arch                     Version                                                   Repository                 Size
=============================================================================================================================================================
Installing:
 python3-matplotlib-qt4                   i686                     1.2.0-14.fc19                                             updates                    36 k
Installing for dependencies:
 numpy                                    i686                     1:1.7.1-2.fc19                                            fedora                    2.8 M
 pyparsing                                noarch                   1.5.6-8.fc19                                              fedora                     94 k
 python-dateutil                          noarch                   1.5-6.fc19                                                fedora                     85 k
 python-matplotlib                        i686                     1.2.0-14.fc19                                             updates                    26 M
 python-nose                              noarch                   1.3.0-1.fc19                                              fedora                    272 k
 python-setuptools                        noarch                   0.6.36-1.fc19                                             fedora                    342 k
 python3-PyQt4                            i686                     4.10.1-4.fc19                                             fedora                    2.6 M
 python3-sip                              i686                     4.14.6-1.fc19                                             fedora                     96 k
 pytz                                     noarch                   2012d-4.fc19                                              fedora                     38 k
 t1lib                                    i686                     5.1.2-12.fc19                                             fedora                    155 k
 texlive-base                             noarch                   3:2013-0.1.20130608_r30832.fc19                           updates                   1.4 M
 texlive-dvipng-bin                       i686                     3:svn30088.0-0.1.20130608_r30832.fc19                     updates                    60 k
 texlive-kpathsea-lib                     i686                     3:2013-0.1.20130608_r30832.fc19                           updates                    89 k

Transaction Summary
=============================================================================================================================================================
Install  1 Package (+13 Dependent packages)


Expected results:


Additional info:
Comment 1 Bohuslav "Slavek" Kabrda 2013-07-26 02:54:05 EDT
*** Bug 988413 has been marked as a duplicate of this bug. ***
Comment 2 Bohuslav "Slavek" Kabrda 2013-07-26 02:56:03 EDT
This is not problem of python3 package, reassigning to python-matplotlib.
Comment 3 Fedora Update System 2014-01-25 12:02:15 EST
python-matplotlib-1.2.0-15.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-matplotlib-1.2.0-15.fc19
Comment 4 Fedora Update System 2014-01-26 06:54:49 EST
Package python-matplotlib-1.2.0-15.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-matplotlib-1.2.0-15.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1563/python-matplotlib-1.2.0-15.fc19
then log in and leave karma (feedback).
Comment 5 Fedora End Of Life 2015-01-09 17:39:49 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 06:18:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.